<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Blog Pro for Magento 2
 */

namespace Amasty\Blog\ViewModel\Posts;

use Amasty\Blog\Model\ConfigProvider;
use Magento\Framework\View\Element\Block\ArgumentInterface;

class PoweredBy implements ArgumentInterface
{
    public const MARKET_URL_BLOG = 'https://amasty.com/blog-pro-for-magento-2.html';

    public const MARKET_UTM_BLOG = '?utm_source=extension&utm_medium=backend&utm_campaign=from_blogs_to_blog_pro';

    /**
     * @var ConfigProvider
     */
    private $configProvider;

    public function __construct(
        ConfigProvider $configProvider
    ) {
        $this->configProvider = $configProvider;
    }

    public function isDisplayExtensionLink(): bool
    {
        return $this->configProvider->isDisplayExtensionLink();
    }

    public function getAmastyBlogMarketLink(): string
    {
        return self::MARKET_URL_BLOG . self::MARKET_UTM_BLOG;
    }
}
